<?xml version="1.0" encoding="UTF-8"?>
<project xmlns="http://maven.apache.org/POM/4.0.0"
         xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance"
         xsi:schemaLocation="http://maven.apache.org/POM/4.0.0 http://maven.apache.org/xsd/maven-4.0.0.xsd">
<modelVersion>4.0.0</modelVersion>
    <packaging>jar</packaging>
    <parent>
        <artifactId>4dkankan-parent</artifactId>
        <groupId>com.fdkankan</groupId>
        <version>2.0.0-SNAPSHOT</version>
    </parent>


    <artifactId>4dkankan-center-platform</artifactId>

  <dependencies>

      <dependency>
          <groupId>de.codecentric</groupId>
          <artifactId>spring-boot-admin-client</artifactId>
          <version>2.3.1</version>
      </dependency>

      <dependency>
          <groupId>com.fdkankan</groupId>
          <artifactId>4dkankan-center-scene-api</artifactId>
          <version>2.0.0-SNAPSHOT</version>
      </dependency>

      <dependency>
          <groupId>com.fdkankan</groupId>
          <artifactId>4dkankan-center-platform-api</artifactId>
          <version>2.0.0-SNAPSHOT</version>
      </dependency>

      <dependency>
          <groupId>com.fdkankan</groupId>
          <artifactId>4dkankan-common</artifactId>
          <version>2.0.0-SNAPSHOT</version>
      </dependency>

      <dependency>
          <groupId>com.fdkankan</groupId>
          <artifactId>4dkankan-common-utils</artifactId>
          <version>2.0.0-SNAPSHOT</version>
      </dependency>

      <dependency>
          <groupId>com.fdkankan</groupId>
          <artifactId>4dkankan-utils-redis</artifactId>
          <version>2.0.0-SNAPSHOT</version>
      </dependency>

      <dependency>
          <groupId>com.fdkankan</groupId>
          <artifactId>4dkankan-utils-sms</artifactId>
          <version>2.0.0-SNAPSHOT</version>
      </dependency>

      <dependency>
          <groupId>com.fdkankan</groupId>
          <artifactId>4dkankan-pay</artifactId>
          <version>2.0.0-SNAPSHOT</version>
      </dependency>

      <dependency>
          <groupId>org.projectlombok</groupId>
          <artifactId>lombok</artifactId>
      </dependency>

      <dependency>
          <groupId>com.fdkankan</groupId>
          <artifactId>4dkankan-utils-db</artifactId>
          <version>2.0.0-SNAPSHOT</version>
      </dependency>

      <dependency>
          <groupId>com.fdkankan</groupId>
          <artifactId>4dkankan-utils-fyun</artifactId>
          <version>2.0.0-SNAPSHOT</version>
      </dependency>

      <dependency>
          <groupId>com.yomahub</groupId>
          <artifactId>tlog-web-spring-boot-starter</artifactId>
          <version>1.3.6</version>
      </dependency>

      <dependency>
          <groupId>com.yomahub</groupId>
          <artifactId>tlog-feign-spring-boot-starter</artifactId>
          <version>1.3.6</version>
      </dependency>


  </dependencies>

    <build>
        <plugins>
            <plugin>
                <groupId>org.springframework.boot</groupId>
                <artifactId>spring-boot-maven-plugin</artifactId>
            </plugin>

            <plugin>
                <groupId>org.apache.maven.plugins</groupId>
                <artifactId>maven-surefire-plugin</artifactId>
                <configuration>
                    <testFailureIgnore>true</testFailureIgnore>
                </configuration>
            </plugin>
        </plugins>

    </build>


</project>